( function( global, factory ) {

    if ( typeof module === "object" && typeof module.exports === "object" ) {
        exports[ "CurrencyData" ] = module.exports = factory( global );
    } else {
        factory( global );
    }

} )( this, function( global ) {

    global.CurrencyData = {
        "formatVersion": "1",
        "dataVersion": "140",

        "all": "ADP020-AED784-AFA004-AFN971-ALL008-AMD051-ANG532-AOA973-ARS032-ATS040-AUD036-" +
            "AWG533-AYM945-AZM031-AZN944-BAM977-BBD052-BDT050-BEF056-BGL100-BGN975-BHD048-BIF108-" +
            "BMD060-BND096-BOB068-BOV984-BRL986-BSD044-BTN064-BWP072-BYB112-BYR974-" +
            "BZD084-CAD124-CDF976-CHF756-CLF990-CLP152-CNY156-COP170-CRC188-CSD891-CUP192-" +
            "CVE132-CYP196-CZK203-DEM276-DJF262-DKK208-DOP214-DZD012-EEK233-EGP818-" +
            "ERN232-ESP724-ETB230-EUR978-FIM246-FJD242-FKP238-FRF250-GBP826-GEL981-" +
            "GHC288-GHS936-GIP292-GMD270-GNF324-GRD300-GTQ320-GWP624-GYD328-HKD344-HNL340-" +
            "HRK191-HTG332-HUF348-IDR360-IEP372-ILS376-INR356-IQD368-IRR364-ISK352-" +
            "ITL380-JMD388-JOD400-JPY392-KES404-KGS417-KHR116-KMF174-KPW408-KRW410-" +
            "KWD414-KYD136-KZT398-LAK418-LBP422-LKR144-LRD430-LSL426-LTL440-LUF442-" +
            "LVL428-LYD434-MAD504-MDL498-MGA969-MGF450-MKD807-MMK104-MNT496-MOP446-MRO478-" +
            "MTL470-MUR480-MVR462-MWK454-MXN484-MXV979-MYR458-MZM508-MZN943-NAD516-NGN566-" +
            "NIO558-NLG528-NOK578-NPR524-NZD554-OMR512-PAB590-PEN604-PGK598-PHP608-" +
            "PKR586-PLN985-PTE620-PYG600-QAR634-ROL946-RON946-RSD941-RUB643-RUR810-RWF646-SAR682-" +
            "SBD090-SCR690-SDD736-SDG938-SEK752-SGD702-SHP654-SIT705-SKK703-SLL694-SOS706-" +
            "SRD968-SRG740-STD678-SVC222-SYP760-SZL748-THB764-TJS972-TMM795-TND788-TOP776-" +
            "TPE626-TRL792-TRY949-TTD780-TWD901-TZS834-UAH980-UGX800-USD840-USN997-USS998-" +
            "UYU858-UZS860-VEB862-VEF937-VND704-VUV548-WST882-XAF950-XAG961-XAU959-XBA955-" +
            "XBB956-XBC957-XBD958-XCD951-XDR960-XFO000-XFU000-XOF952-XPD964-XPF953-" +
            "XPT962-XTS963-XXX999-YER886-YUM891-ZAR710-ZMK894-ZWD716-ZWN942",

        "AD": "EUR",
        "AE": "AED",
        "AF": "AFN",
        "AG": "XCD",
        "AI": "XCD",
        "AL": "ALL",
        "AM": "AMD",
        "AN": "ANG",
        "AO": "AOA",
        "AQ": "",
        "AR": "ARS",
        "AS": "USD",
        "AT": "EUR",
        "AU": "AUD",
        "AW": "AWG",
        "AX": "EUR",
        "AZ": "AZM;2005-12-31-20-00-00;AZN",
        "BA": "BAM",
        "BB": "BBD",
        "BD": "BDT",
        "BE": "EUR",
        "BF": "XOF",
        "BG": "BGN",
        "BH": "BHD",
        "BI": "BIF",
        "BJ": "XOF",
        "BL": "EUR",
        "BM": "BMD",
        "BN": "BND",
        "BO": "BOB",
        "BR": "BRL",
        "BS": "BSD",
        "BT": "BTN",
        "BV": "NOK",
        "BW": "BWP",
        "BY": "BYR",
        "BZ": "BZD",
        "CA": "CAD",
        "CC": "AUD",
        "CD": "CDF",
        "CF": "XAF",
        "CG": "XAF",
        "CH": "CHF",
        "CI": "XOF",
        "CK": "NZD",
        "CL": "CLP",
        "CM": "XAF",
        "CN": "CNY",
        "CO": "COP",
        "CR": "CRC",
        "CS": "CSD",
        "CU": "CUP",
        "CV": "CVE",
        "CX": "AUD",
        "CY": "EUR",
        "CZ": "CZK",
        "DE": "EUR",
        "DJ": "DJF",
        "DK": "DKK",
        "DM": "XCD",
        "DO": "DOP",
        "DZ": "DZD",
        "EC": "USD",
        "EE": "EEK",
        "EG": "EGP",
        "EH": "MAD",
        "ER": "ERN",
        "ES": "EUR",
        "ET": "ETB",
        "FI": "EUR",
        "FJ": "FJD",
        "FK": "FKP",
        "FM": "USD",
        "FO": "DKK",
        "FR": "EUR",
        "GA": "XAF",
        "GB": "GBP",
        "GD": "XCD",
        "GE": "GEL",
        "GF": "EUR",
        "GG": "GBP",
        "GH": "GHS",
        "GI": "GIP",
        "GL": "DKK",
        "GM": "GMD",
        "GN": "GNF",
        "GP": "EUR",
        "GQ": "XAF",
        "GR": "EUR",
        "GS": "GBP",
        "GT": "GTQ",
        "GU": "USD",
        "GW": "XOF",
        "GY": "GYD",
        "HK": "HKD",
        "HM": "AUD",
        "HN": "HNL",
        "HR": "HRK",
        "HT": "HTG",
        "HU": "HUF",
        "ID": "IDR",
        "IE": "EUR",
        "IL": "ILS",
        "IM": "GBP",
        "IN": "INR",
        "IO": "USD",
        "IQ": "IQD",
        "IR": "IRR",
        "IS": "ISK",
        "IT": "EUR",
        "JE": "GBP",
        "JM": "JMD",
        "JO": "JOD",
        "JP": "JPY",
        "KE": "KES",
        "KG": "KGS",
        "KH": "KHR",
        "KI": "AUD",
        "KM": "KMF",
        "KN": "XCD",
        "KP": "KPW",
        "KR": "KRW",
        "KW": "KWD",
        "KY": "KYD",
        "KZ": "KZT",
        "LA": "LAK",
        "LB": "LBP",
        "LC": "XCD",
        "LI": "CHF",
        "LK": "LKR",
        "LR": "LRD",
        "LS": "LSL",
        "LT": "LTL",
        "LU": "EUR",
        "LV": "LVL",
        "LY": "LYD",
        "MA": "MAD",
        "MC": "EUR",
        "MD": "MDL",
        "ME": "EUR",
        "MF": "EUR",
        "MG": "MGA",
        "MH": "USD",
        "MK": "MKD",
        "ML": "XOF",
        "MM": "MMK",
        "MN": "MNT",
        "MO": "MOP",
        "MP": "USD",
        "MQ": "EUR",
        "MR": "MRO",
        "MS": "XCD",
        "MT": "EUR",
        "MU": "MUR",
        "MV": "MVR",
        "MW": "MWK",
        "MX": "MXN",
        "MY": "MYR",
        "MZ": "MZM;2006-06-30-22-00-00;MZN",
        "NA": "NAD",
        "NC": "XPF",
        "NE": "XOF",
        "NF": "AUD",
        "NG": "NGN",
        "NI": "NIO",
        "NL": "EUR",
        "NO": "NOK",
        "NP": "NPR",
        "NR": "AUD",
        "NU": "NZD",
        "NZ": "NZD",
        "OM": "OMR",
        "PA": "PAB",
        "PE": "PEN",
        "PF": "XPF",
        "PG": "PGK",
        "PH": "PHP",
        "PK": "PKR",
        "PL": "PLN",
        "PM": "EUR",
        "PN": "NZD",
        "PR": "USD",
        "PS": "ILS",
        "PT": "EUR",
        "PW": "USD",
        "PY": "PYG",
        "QA": "QAR",
        "RE": "EUR",
        "RO": "ROL;2005-06-30-21-00-00;RON",
        "RS": "RSD",
        "RU": "RUB",
        "RW": "RWF",
        "SA": "SAR",
        "SB": "SBD",
        "SC": "SCR",
        "SD": "SDG",
        "SE": "SEK",
        "SG": "SGD",
        "SH": "SHP",
        "SI": "EUR",
        "SJ": "NOK",
        "SK": "SKK",
        "SL": "SLL",
        "SM": "EUR",
        "SN": "XOF",
        "SO": "SOS",
        "SR": "SRD",
        "ST": "STD",
        "SV": "SVC",
        "SY": "SYP",
        "SZ": "SZL",
        "TC": "USD",
        "TD": "XAF",
        "TF": "EUR",
        "TG": "XOF",
        "TH": "THB",
        "TJ": "TJS",
        "TK": "NZD",
        "TL": "USD",
        "TM": "TMM",
        "TN": "TND",
        "TO": "TOP",
        "TR": "TRL;2004-12-31-22-00-00;TRY",
        "TT": "TTD",
        "TV": "AUD",
        "TW": "TWD",
        "TZ": "TZS",
        "UA": "UAH",
        "UG": "UGX",
        "UM": "USD",
        "US": "USD",
        "UY": "UYU",
        "UZ": "UZS",
        "VA": "EUR",
        "VC": "XCD",
        "VE": "VEB;2008-01-01-04-00-00;VEF",
        "VG": "USD",
        "VI": "USD",
        "VN": "VND",
        "VU": "VUV",
        "WF": "XPF",
        "WS": "WST",
        "YE": "YER",
        "YT": "EUR",
        "ZA": "ZAR",
        "ZM": "ZMK",
        "ZW": "ZWD",

        "minor0": "" +
            "ADP-BEF-BIF-BYB-BYR-CLF-CLP-DJF-ESP-GNF-" +
            "GRD-ISK-ITL-JPY-KMF-KRW-LUF-MGF-PYG-PTE-RWF-" +
            "TPE-TRL-VUV-XAF-XOF-XPF",
        "minor1": "",
        "minor3": "" +
            "BHD-IQD-JOD-KWD-LYD-OMR-TND",
        "minorUndefined": "" +
            "XAG-XAU-XBA-XBB-XBC-XBD-XDR-XFO-XFU-XPD-" +
            "XPT-XTS-XXX"
    };

    return global.CurrencyData;

} );
